gdata.photos (version 164) | index /build/buildd/python-gdata-2.0.18+dfsg/src/gdata/photos/__init__.py

`This module provides a pythonic, gdata-centric interface to Google Photos
(a.k.a. Picasa Web Services.
It is modelled after the gdata/* interfaces from the gdata-python-client
project[1] by Google.
You'll find the user-friendly api in photos.service. Please see the
documentation or live help() system for available methods.
[1]: http://gdata-python-client.googlecode.com/`

Package Contents

``

service |  |  |

Classes

``

__builtin__.object
  AlbumData
  GPhotosBaseData
    CommentData
    TagData
    UserData
  PhotoData
atom.AtomBase(atom.ExtensionContainer)
  PhotosBaseElement
    Access
    Albumid
    BytesUsed
    Checksum
    Client
    CommentCount
    CommentingEnabled
    Height
    Id
    Location
    MaxPhotosPerAlbum
    Name
    Nickname
    Numphotos
    Numphotosremaining
    Photoid
    Position
    Quotacurrent
    Quotalimit
    Rotation
    Size
    Snippet
    Snippettype
    Thumbnail
    Timestamp
    Truncated
    User
    Version
    Weight
    Width
atom.Author(atom.Person)
  CommentAuthor
gdata.GDataEntry(atom.Entry, gdata.LinkFinder)
  GPhotosBaseEntry(gdata.GDataEntry, gdata.LinkFinder)
    AlbumEntry(GPhotosBaseEntry, AlbumData)
    CommentEntry(GPhotosBaseEntry, CommentData)
    PhotoEntry(GPhotosBaseEntry, PhotoData)
    PhotosBaseEntry
    TagEntry(GPhotosBaseEntry, TagData)
    UserEntry(GPhotosBaseEntry, UserData)
gdata.GDataFeed(atom.Feed, gdata.LinkFinder)
  GPhotosBaseFeed(gdata.GDataFeed, gdata.LinkFinder)
    AlbumFeed(GPhotosBaseFeed, AlbumData)
    CommentFeed(GPhotosBaseFeed, CommentData)
    PhotoFeed(GPhotosBaseFeed, PhotoData)
    PhotosBaseFeed
    TagFeed(GPhotosBaseFeed, TagData)
    UserFeed(GPhotosBaseFeed, UserData)
gdata.LinkFinder(atom.LinkFinder)
  GPhotosBaseEntry(gdata.GDataEntry, gdata.LinkFinder)
    AlbumEntry(GPhotosBaseEntry, AlbumData)
    CommentEntry(GPhotosBaseEntry, CommentData)
    PhotoEntry(GPhotosBaseEntry, PhotoData)
    PhotosBaseEntry
    TagEntry(GPhotosBaseEntry, TagData)
    UserEntry(GPhotosBaseEntry, UserData)
  GPhotosBaseFeed(gdata.GDataFeed, gdata.LinkFinder)
    AlbumFeed(GPhotosBaseFeed, AlbumData)
    CommentFeed(GPhotosBaseFeed, CommentData)
    PhotoFeed(GPhotosBaseFeed, PhotoData)
    PhotosBaseFeed
    TagFeed(GPhotosBaseFeed, TagData)
    UserFeed(GPhotosBaseFeed, UserData)

class Access(PhotosBaseElement)
`` | `The Google Photo `Access' element. The album's access level. Valid values are `public' or `private'. In documentation, access level is also referred to as `visibility.'`

Method resolution order:
  Access
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class AlbumData(__builtin__.object)

``

Data descriptors defined here:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Data and other attributes defined here:

access = None

bytesUsed = None

commentCount = None

commentingEnabled = None

gphoto_id = None

location = None

name = None

nickname = None

numphotos = None

numphotosremaining = None

timestamp = None

user = None

class AlbumEntry(GPhotosBaseEntry, AlbumData)
`` | `All metadata for a Google Photos Album Take a look at AlbumData for metadata accessible as attributes to this object. Notes: To avoid name clashes, and to create a more sensible api, some objects have names that differ from the original elements: o media:group -> self.media, o geo:where -> self.geo, o photo:id -> self.gphoto_id`

Method resolution order:
  AlbumEntry
  GPhotosBaseEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  AlbumData
  __builtin__.object

Methods defined here:

GetAlbumId(self)
  `Return the id of this album`

GetCommentsUri(self)
  `(string) Return the uri to this albums feed of the CommentEntry kind`

GetPhotosUri(self)
  `(string) Return the uri to this albums feed of the PhotoEntry kind`

GetTagsUri(self)
  `(string) Return the uri to this albums feed of the TagEntry kind`

__init__(self, author=None, category=None, content=None, atom_id=None, link=None, published=None, title=None, updated=None, gphoto_id=None, name=None, location=None, access=None, timestamp=None, numphotos=None, user=None, nickname=None, commentingEnabled=None, commentCount=None, thumbnail=None, media=None, geo=None, extended_property=None, extension_elements=None, extension_attributes=None, text=None)

Data and other attributes defined here:

geo = <gdata.geo.Where object>

media = <gdata.media.Group object>

Methods inherited from GPhotosBaseEntry:

kind(self)
  `(string) Returns the kind`

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

Data and other attributes inherited from AlbumData:

access = None

bytesUsed = None

commentCount = None

commentingEnabled = None

gphoto_id = None

location = None

name = None

nickname = None

numphotos = None

numphotosremaining = None

timestamp = None

user = None

class AlbumFeed(GPhotosBaseFeed, AlbumData)
`` | `All metadata for a Google Photos Album, including its sub-elements This feed represents an album as the container for other objects. A Album feed contains entries of PhotoEntry, CommentEntry or TagEntry, depending on the `kind' parameter in the original query. Take a look at AlbumData for accessible attributes.`

Method resolution order:
  AlbumFeed
  GPhotosBaseFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  AlbumData
  __builtin__.object

Methods defined here:

GetCommentsUri(self)
  `(string) Return the uri to the same feed, but of the CommentEntry kind`

GetPhotosUri(self)
  `(string) Return the uri to the same feed, but of the PhotoEntry kind`

GetTagsUri(self)
  `(string) Return the uri to the same feed, but of the TagEntry kind`

Methods inherited from GPhotosBaseFeed:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, extension_elements=None, extension_attributes=None, text=None)

kind(self)
  `(string) Returns the kind`

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

Data and other attributes inherited from AlbumData:

access = None

bytesUsed = None

commentCount = None

commentingEnabled = None

gphoto_id = None

location = None

name = None

nickname = None

numphotos = None

numphotosremaining = None

timestamp = None

user = None

class Albumid(PhotosBaseElement)
`` | `The Google Photo `Albumid' element`

Method resolution order:
  Albumid
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class BytesUsed(PhotosBaseElement)
`` | `The Google Photo `BytesUsed' element`

Method resolution order:
  BytesUsed
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Checksum(PhotosBaseElement)
`` | `The Google Photo `Checksum' element`

Method resolution order:
  Checksum
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Client(PhotosBaseElement)
`` | `The Google Photo `Client' element`

Method resolution order:
  Client
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class CommentAuthor(atom.Author)
`` | `The Atom `Author' element in CommentEntry entries is augmented to contain elements from the PHOTOS_NAMESPACE http://groups.google.com/group/Google-Picasa-Data-API/msg/819b0025b5ff5e38`

Method resolution order:
  CommentAuthor
  atom.Author
  atom.Person
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from atom.Author:

__init__(self, name=None, email=None, uri=None, extension_elements=None, extension_attributes=None, text=None)
  `Constructor for Author
  Args:
  name: Name
  email: Email
  uri: Uri
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs
  text: str The text data in the this element`

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class CommentCount(PhotosBaseElement)
`` | `The Google Photo `CommentCount' element`

Method resolution order:
  CommentCount
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class CommentData(GPhotosBaseData)

``

Method resolution order:
  CommentData
  GPhotosBaseData
  __builtin__.object

Data and other attributes defined here:

albumid = None

author = None

gphoto_id = None

photoid = None

Data descriptors inherited from GPhotosBaseData:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class CommentEntry(GPhotosBaseEntry, CommentData)
`` | `All metadata for a Google Photos Comment The comment is stored in the .content.text attribute, with a content type in .content.type.`

Method resolution order:
  CommentEntry
  GPhotosBaseEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  CommentData
  GPhotosBaseData
  __builtin__.object

Methods defined here:

GetAlbumUri(self)
  `Return the uri to the AlbumEntry containing this comment`

GetCommentId(self)
  `Return the globally unique id of this comment`

GetPhotoUri(self)
  `Return the uri to the PhotoEntry containing this comment`

__init__(self, author=None, category=None, content=None, atom_id=None, link=None, published=None, title=None, updated=None, gphoto_id=None, albumid=None, photoid=None, extended_property=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from GPhotosBaseEntry:

kind(self)
  `(string) Returns the kind`

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

Data and other attributes inherited from CommentData:

albumid = None

author = None

gphoto_id = None

photoid = None

class CommentFeed(GPhotosBaseFeed, CommentData)
`` | `All metadata for a Google Photos Comment, including its sub-elements`

Method resolution order:
  CommentFeed
  GPhotosBaseFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  CommentData
  GPhotosBaseData
  __builtin__.object

Methods inherited from GPhotosBaseFeed:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, extension_elements=None, extension_attributes=None, text=None)

kind(self)
  `(string) Returns the kind`

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

Data and other attributes inherited from CommentData:

albumid = None

author = None

gphoto_id = None

photoid = None

class CommentingEnabled(PhotosBaseElement)
`` | `The Google Photo `CommentingEnabled' element`

Method resolution order:
  CommentingEnabled
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class GPhotosBaseData(__builtin__.object)

``

Data descriptors defined here:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class GPhotosBaseEntry(gdata.GDataEntry, gdata.LinkFinder)
`` | `Base class for all Entry elements in gdata.photos`

Method resolution order:
  GPhotosBaseEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

__init__(self, author=None, category=None, content=None, atom_id=None, link=None, published=None, title=None, updated=None, extended_property=None, extension_elements=None, extension_attributes=None, text=None)

kind(self)
  `(string) Returns the kind`

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class GPhotosBaseFeed(gdata.GDataFeed, gdata.LinkFinder)
`` | `Base class for all Feeds in gdata.photos`

Method resolution order:
  GPhotosBaseFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, extension_elements=None, extension_attributes=None, text=None)

kind(self)
  `(string) Returns the kind`

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class Height(PhotosBaseElement)
`` | `The Google Photo `Height' element`

Method resolution order:
  Height
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Id(PhotosBaseElement)
`` | `The Google Photo `Id' element`

Method resolution order:
  Id
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Location(PhotosBaseElement)
`` | `The Google Photo `Location' element`

Method resolution order:
  Location
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class MaxPhotosPerAlbum(PhotosBaseElement)
`` | `The Google Photo `MaxPhotosPerAlbum' element`

Method resolution order:
  MaxPhotosPerAlbum
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Name(PhotosBaseElement)
`` | `The Google Photo `Name' element`

Method resolution order:
  Name
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Nickname(PhotosBaseElement)
`` | `The Google Photo `Nickname' element`

Method resolution order:
  Nickname
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Numphotos(PhotosBaseElement)
`` | `The Google Photo `Numphotos' element`

Method resolution order:
  Numphotos
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Numphotosremaining(PhotosBaseElement)
`` | `The Google Photo `Numphotosremaining' element`

Method resolution order:
  Numphotosremaining
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class PhotoData(__builtin__.object)

``

Data descriptors defined here:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Data and other attributes defined here:

albumid = None

checksum = None

client = None

commentCount = None

commentingEnabled = None

geo = <gdata.geo.Where object>

gphoto_id = None

height = None

media = <gdata.media.Group object>

position = None

rotation = None

size = None

snippet = None

snippettype = None

tags = <gdata.exif.Tags object>

timestamp = None

truncated = None

version = None

width = None

class PhotoEntry(GPhotosBaseEntry, PhotoData)
`` | `All metadata for a Google Photos Photo Take a look at PhotoData for metadata accessible as attributes to this object. Notes: To avoid name clashes, and to create a more sensible api, some objects have names that differ from the original elements: o media:group -> self.media, o exif:tags -> self.exif, o geo:where -> self.geo, o photo:id -> self.gphoto_id`

Method resolution order:
  PhotoEntry
  GPhotosBaseEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  PhotoData
  __builtin__.object

Methods defined here:

GetAlbumUri(self)
  `Return the uri to the AlbumEntry containing this photo`

GetCommentsUri(self)
  `Return the uri to this photo's feed of CommentEntry comments`

GetPostLink(self)
  `Return the uri to this photo's `POST' link (use it for updates of the object)`

GetTagsUri(self)
  `Return the uri to this photo's feed of TagEntry tags`

__init__(self, author=None, category=None, content=None, atom_id=None, link=None, published=None, title=None, updated=None, text=None, gphoto_id=None, albumid=None, checksum=None, client=None, height=None, position=None, rotation=None, size=None, timestamp=None, version=None, width=None, commentCount=None, commentingEnabled=None, media=None, exif=None, geo=None, extension_elements=None, extension_attributes=None)

Methods inherited from GPhotosBaseEntry:

kind(self)
  `(string) Returns the kind`

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

Data and other attributes inherited from PhotoData:

albumid = None

checksum = None

client = None

commentCount = None

commentingEnabled = None

geo = <gdata.geo.Where object>

gphoto_id = None

height = None

media = <gdata.media.Group object>

position = None

rotation = None

size = None

snippet = None

snippettype = None

tags = <gdata.exif.Tags object>

timestamp = None

truncated = None

version = None

width = None

class PhotoFeed(GPhotosBaseFeed, PhotoData)
`` | `All metadata for a Google Photos Photo, including its sub-elements This feed represents a photo as the container for other objects. A Photo feed contains entries of CommentEntry or TagEntry, depending on the `kind' parameter in the original query. Take a look at PhotoData for metadata accessible as attributes to this object.`

Method resolution order:
  PhotoFeed
  GPhotosBaseFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  PhotoData
  __builtin__.object

Methods defined here:

GetCommentsUri(self)
  `(string) Return the uri to the same feed, but of the CommentEntry kind`

GetTagsUri(self)
  `(string) Return the uri to the same feed, but of the TagEntry kind`

Methods inherited from GPhotosBaseFeed:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, extension_elements=None, extension_attributes=None, text=None)

kind(self)
  `(string) Returns the kind`

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

Data and other attributes inherited from PhotoData:

albumid = None

checksum = None

client = None

commentCount = None

commentingEnabled = None

geo = <gdata.geo.Where object>

gphoto_id = None

height = None

media = <gdata.media.Group object>

position = None

rotation = None

size = None

snippet = None

snippettype = None

tags = <gdata.exif.Tags object>

timestamp = None

truncated = None

version = None

width = None

class Photoid(PhotosBaseElement)
`` | `The Google Photo `Photoid' element`

Method resolution order:
  Photoid
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class PhotosBaseElement(atom.AtomBase)
`` | `Base class for elements in the PHOTO_NAMESPACE. To add new elements, you only need to add the element tag name to self._tag`

Method resolution order:
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class PhotosBaseEntry(GPhotosBaseEntry)

``

Method resolution order:
  PhotosBaseEntry
  GPhotosBaseEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods inherited from GPhotosBaseEntry:

__init__(self, author=None, category=None, content=None, atom_id=None, link=None, published=None, title=None, updated=None, extended_property=None, extension_elements=None, extension_attributes=None, text=None)

kind(self)
  `(string) Returns the kind`

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class PhotosBaseFeed(GPhotosBaseFeed)

``

Method resolution order:
  PhotosBaseFeed
  GPhotosBaseFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods inherited from GPhotosBaseFeed:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, extension_elements=None, extension_attributes=None, text=None)

kind(self)
  `(string) Returns the kind`

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class Position(PhotosBaseElement)
`` | `The Google Photo `Position' element`

Method resolution order:
  Position
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Quotacurrent(PhotosBaseElement)
`` | `The Google Photo `Quotacurrent' element`

Method resolution order:
  Quotacurrent
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Quotalimit(PhotosBaseElement)
`` | `The Google Photo `Quotalimit' element`

Method resolution order:
  Quotalimit
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Rotation(PhotosBaseElement)
`` | `The Google Photo `Rotation' element`

Method resolution order:
  Rotation
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Size(PhotosBaseElement)
`` | `The Google Photo `Size' element`

Method resolution order:
  Size
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Snippet(PhotosBaseElement)

``

`The Google Photo `snippet' element.
When searching, the snippet element will contain a
string with the word you're looking for, highlighted in html markup
E.g. when your query is `hafjell', this element may contain:
`... here at <b>Hafjell</b>.'
You'll find this element in searches -- that is, feeds that combine the
`kind=photo' and `q=yoursearch' parameters in the request.
See also gphoto:truncated and gphoto:snippettype.
`

Method resolution order:
  Snippet
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Snippettype(PhotosBaseElement)

``

`The Google Photo `Snippettype' element
When searching, this element will tell you the type of element that matches.
You'll find this element in searches -- that is, feeds that combine the
`kind=photo' and `q=yoursearch' parameters in the request.
See also gphoto:snippet and gphoto:truncated.
Possible values and their interpretation:
o ALBUM_TITLE - The album title matches
o PHOTO_TAGS - The match is a tag/keyword
o PHOTO_DESCRIPTION - The match is in the photo's description
If you discover a value not listed here, please submit a patch to update this docstring.
`

Method resolution order:
  Snippettype
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class TagData(GPhotosBaseData)

``

Method resolution order:
  TagData
  GPhotosBaseData
  __builtin__.object

Data and other attributes defined here:

weight = None

Data descriptors inherited from GPhotosBaseData:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class TagEntry(GPhotosBaseEntry, TagData)
`` | `All metadata for a Google Photos Tag The actual tag is stored in the .title.text attribute`

Method resolution order:
  TagEntry
  GPhotosBaseEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  TagData
  GPhotosBaseData
  __builtin__.object

Methods defined here:

GetAlbumUri(self)
  `Return the uri to the AlbumEntry containing this tag`

GetPhotoUri(self)
  `Return the uri to the PhotoEntry containing this tag`

__init__(self, author=None, category=None, content=None, atom_id=None, link=None, published=None, title=None, updated=None, weight=None, extended_property=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from GPhotosBaseEntry:

kind(self)
  `(string) Returns the kind`

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

Data and other attributes inherited from TagData:

weight = None

class TagFeed(GPhotosBaseFeed, TagData)
`` | `All metadata for a Google Photos Tag, including its sub-elements`

Method resolution order:
  TagFeed
  GPhotosBaseFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  TagData
  GPhotosBaseData
  __builtin__.object

Methods inherited from GPhotosBaseFeed:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, extension_elements=None, extension_attributes=None, text=None)

kind(self)
  `(string) Returns the kind`

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

Data and other attributes inherited from TagData:

weight = None

class Thumbnail(PhotosBaseElement)
`` | `The Google Photo `Thumbnail' element Used to display user's photo thumbnail (hackergotchi). (Not to be confused with the <media:thumbnail> element, which gives you small versions of the photo object.)`

Method resolution order:
  Thumbnail
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Timestamp(PhotosBaseElement)
`` | `The Google Photo `Timestamp' element Represented as the number of milliseconds since January 1st, 1970. Take a look at the convenience methods .isoformat() and .datetime(): photo_epoch = Time.text # 1180294337000 photo_isostring = Time.isoformat() # '2007-05-27T19:32:17.000Z' Alternatively: photo_datetime = Time.datetime() # (requires python >= 2.3)`

Method resolution order:
  Timestamp
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

datetime(self)
  `(datetime.datetime) Return the timestamp as a datetime.datetime object
  Requires python 2.3`

isoformat(self)
  `(string) Return the timestamp as a ISO 8601 formatted string,
  e.g. '2007-05-27T19:32:17.000Z'`

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Truncated(PhotosBaseElement)
`` | `The Google Photo `Truncated' element You'll find this element in searches -- that is, feeds that combine the `kind=photo' and `q=yoursearch' parameters in the request. See also gphoto:snippet and gphoto:snippettype. Possible values and their interpretation: 0 -- unknown`

Method resolution order:
  Truncated
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class User(PhotosBaseElement)
`` | `The Google Photo `User' element`

Method resolution order:
  User
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class UserData(GPhotosBaseData)

``

Method resolution order:
  UserData
  GPhotosBaseData
  __builtin__.object

Data and other attributes defined here:

gphoto_id = None

maxPhotosPerAlbum = None

nickname = None

quotacurrent = None

quotalimit = None

thumbnail = None

user = None

Data descriptors inherited from GPhotosBaseData:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class UserEntry(GPhotosBaseEntry, UserData)
`` | `All metadata for a Google Photos User This entry represents an album owner and all appropriate metadata. Take a look at at the attributes of the UserData for metadata available.`

Method resolution order:
  UserEntry
  GPhotosBaseEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  UserData
  GPhotosBaseData
  __builtin__.object

Methods defined here:

GetAlbumsUri(self)
  `(string) Return the uri to this user's feed of the AlbumEntry kind`

GetCommentsUri(self)
  `(string) Return the uri to this user's feed of the CommentEntry kind`

GetPhotosUri(self)
  `(string) Return the uri to this user's feed of the PhotoEntry kind`

GetTagsUri(self)
  `(string) Return the uri to this user's feed of the TagEntry kind`

__init__(self, author=None, category=None, content=None, atom_id=None, link=None, published=None, title=None, updated=None, gphoto_id=None, maxPhotosPerAlbum=None, nickname=None, quotalimit=None, quotacurrent=None, thumbnail=None, user=None, extended_property=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from GPhotosBaseEntry:

kind(self)
  `(string) Returns the kind`

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

Data and other attributes inherited from UserData:

gphoto_id = None

maxPhotosPerAlbum = None

nickname = None

quotacurrent = None

quotalimit = None

thumbnail = None

user = None

class UserFeed(GPhotosBaseFeed, UserData)
`` | `Feed for a User in the google photos api. This feed represents a user as the container for other objects. A User feed contains entries of AlbumEntry, PhotoEntry, CommentEntry, UserEntry or TagEntry, depending on the `kind' parameter in the original query. The user feed itself also contains all of the metadata available as part of a UserData object.`

Method resolution order:
  UserFeed
  GPhotosBaseFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  UserData
  GPhotosBaseData
  __builtin__.object

Methods defined here:

GetAlbumsUri(self)
  `Get the uri to this feed, but with entries of the AlbumEntry kind.`

GetCommentsUri(self)
  `Get the uri to this feed, but with entries of the CommentsEntry kind.`

GetPhotosUri(self)
  `Get the uri to this feed, but with entries of the PhotosEntry kind.`

GetTagsUri(self)
  `Get the uri to this feed, but with entries of the TagEntry kind.`

Methods inherited from GPhotosBaseFeed:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, extension_elements=None, extension_attributes=None, text=None)

kind(self)
  `(string) Returns the kind`

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

Data and other attributes inherited from UserData:

gphoto_id = None

maxPhotosPerAlbum = None

nickname = None

quotacurrent = None

quotalimit = None

thumbnail = None

user = None

class Version(PhotosBaseElement)
`` | `The Google Photo `Version' element`

Method resolution order:
  Version
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Weight(PhotosBaseElement)
`` | `The Google Photo `Weight' element. The weight of the tag is the number of times the tag appears in the collection of tags currently being viewed. The default weight is 1, in which case this tags is omitted.`

Method resolution order:
  Weight
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Width(PhotosBaseElement)
`` | `The Google Photo `Width' element`

Method resolution order:
  Width
  PhotosBaseElement
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from PhotosBaseElement:

__init__(self, name=None, extension_elements=None, extension_attributes=None, text=None)

__int__(self)

bool(self)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Functions

``

AccessFromString(xml_string)

AlbumEntryFromString(xml_string)

AlbumFeedFromString(xml_string)

AlbumidFromString(xml_string)

AnyEntryFromString(xml_string)
  `Creates an instance of the appropriate entry class from the
  xml string contents.
  Args:
  xml_string: str A string which contains valid XML. The root element
  of the XML string should match the tag and namespace of the desired
  class.
  Returns:
  An instance of the target class with members assigned according to the
  contents of the XML - or a basic gdata.GDataEndry instance if it is
  impossible to determine the appropriate class (look for extra elements
  in GDataEntry's .FindExtensions() and extension_elements[] ).`

AnyFeedFromString(xml_string)
  `Creates an instance of the appropriate feed class from the
  xml string contents.
  Args:
  xml_string: str A string which contains valid XML. The root element
  of the XML string should match the tag and namespace of the desired
  class.
  Returns:
  An instance of the target class with members assigned according to the
  contents of the XML - or a basic gdata.GDataFeed instance if it is
  impossible to determine the appropriate class (look for extra elements
  in GDataFeed's .FindExtensions() and extension_elements[] ).`

BytesUsedFromString(xml_string)

ChecksumFromString(xml_string)

ClientFromString(xml_string)

CommentAuthorFromString(xml_string)

CommentCountFromString(xml_string)

CommentEntryFromString(xml_string)

CommentFeedFromString(xml_string)

CommentingEnabledFromString(xml_string)

HeightFromString(xml_string)

IdFromString(xml_string)

LocationFromString(xml_string)

MaxPhotosPerAlbumFromString(xml_string)

NameFromString(xml_string)

NicknameFromString(xml_string)

NumphotosFromString(xml_string)

NumphotosremainingFromString(xml_string)

PhotoEntryFromString(xml_string)

PhotoFeedFromString(xml_string)

PhotoidFromString(xml_string)

PositionFromString(xml_string)

QuotacurrentFromString(xml_string)

QuotalimitFromString(xml_string)

RotationFromString(xml_string)

SizeFromString(xml_string)

SnippetFromString(xml_string)

SnippettypeFromString(xml_string)

TagEntryFromString(xml_string)

TagFeedFromString(xml_string)

ThumbnailFromString(xml_string)

TimestampFromString(xml_string)

TruncatedFromString(xml_string)

UserEntryFromString(xml_string)

UserFeedFromString(xml_string)

UserFromString(xml_string)

VersionFromString(xml_string)

WeightFromString(xml_string)

WidthFromString(xml_string)

Data

``

BATCH_NAMESPACE = 'http://schemas.google.com/gdata/batch'
EXIF_NAMESPACE = 'http://schemas.google.com/photos/exif/2007'
GEORSS_NAMESPACE = 'http://www.georss.org/georss'
GEO_NAMESPACE = 'http://www.w3.org/2003/01/geo/wgs84_pos#'
GML_NAMESPACE = 'http://www.opengis.net/gml'
MEDIA_NAMESPACE = 'http://search.yahoo.com/mrss/'
OPENSEARCH_NAMESPACE = 'http://a9.com/-/spec/opensearchrss/1.0/'
PHEED_NAMESPACE = 'http://www.pheed.com/pheed/'
PHOTOS_NAMESPACE = 'http://schemas.google.com/photos/2007'
__author__ = u'havard@gulldahl.no'
__license__ = 'Apache License v2'
__version__ = '164'

Author
`` |  | havard@gulldahl.no